On this page

Golden 3.0.0 public API reference. Parameters, responses, and schemas for supported customer operations.

6 operations.

GET /api/events/id/{id}

Retrieves a single event.

Operation ID: getSingleEvent

Locates an event by identifier and returns it. Requires the ADMIN role.

Security: bearerAuth

Parameters

NameInRequiredTypeDescription
idpathtruestringEvent identifier minLength: 1

Responses

StatusDescriptionBody
200Successful operationapplication/json: EventResponseDto
400Invalid parametersapplication/json: BaseResponseDto
401Authentication requiredapplication/json: BaseResponseDto
403Not authorizedapplication/json: BaseResponseDto
404Resource not foundapplication/json: BaseResponseDto
409Object is not in the correct stateapplication/json: BaseResponseDto

DELETE /api/events/id/{id}

Deletes an event by identifier.

Operation ID: deleteEventByIdentifier

Locates an event by identifier and deletes it. Requires the ADMIN role.

Security: bearerAuth

Parameters

NameInRequiredTypeDescription
idpathtruestringEvent identifier to be deleted

Responses

StatusDescriptionBody
200Successful operationapplication/json: EventResponseDto
400Invalid parametersapplication/json: BaseResponseDto
401Authentication requiredapplication/json: BaseResponseDto
403Not authorizedapplication/json: BaseResponseDto
404Resource not foundapplication/json: BaseResponseDto
409Object is not in the correct stateapplication/json: BaseResponseDto

GET /api/events/sink/{id}

Retrieves a page of filtered events for a certain sink.

Operation ID: getEventPage

Locates events for indicated sink, filters and returns the page of events. Requires the ADMIN role.

Security: bearerAuth

Parameters

NameInRequiredTypeDescription
idpathtruestringSink identifier minLength: 1
filterquerytruestringEvent filter enum: [“ALL”, “VALID”, “INVALID”]; default: “ALL”
pageNumberquerytrueinteger (int32)Page number default: 0; minimum: 0
pageSizequerytrueinteger (int32)Page size, at most 1000. A larger value is a 400, not a clamped page. default: 10; maximum: 1000; exclusiveMinimum: 0

Responses

StatusDescriptionBody
200Successful operationapplication/json: EventPageResponseDto
400Invalid parametersapplication/json: BaseResponseDto
401Authentication requiredapplication/json: BaseResponseDto
403Not authorizedapplication/json: BaseResponseDto
404Resource not foundapplication/json: BaseResponseDto
409Object is not in the correct stateapplication/json: BaseResponseDto

DELETE /api/events/sink/{id}

Deletes all events for a certain sink.

Operation ID: deleteEventsBySink

Locates all event for a certain sink and deletes them all. 404 when the sink does not exist and holds no events. Requires the ADMIN role.

Security: bearerAuth

Parameters

NameInRequiredTypeDescription
idpathtruestringSink identifier to delete events for

Responses

StatusDescriptionBody
200Successful operationapplication/json: EventDeleteResponseDto
400Invalid parametersapplication/json: BaseResponseDto
401Authentication requiredapplication/json: BaseResponseDto
403Not authorizedapplication/json: BaseResponseDto
404Resource not foundapplication/json: BaseResponseDto
409Object is not in the correct stateapplication/json: BaseResponseDto

GET /api/events/stats

Retrieves global statistics for events.

Operation ID: getStats

Calculates statistics for available events organized by sink. Requires the ADMIN role.

Security: bearerAuth

Responses

StatusDescriptionBody
200Successful operationapplication/json: EventStatsResponseDto
400Invalid parametersapplication/json: BaseResponseDto
401Authentication requiredapplication/json: BaseResponseDto
403Not authorizedapplication/json: BaseResponseDto
404Resource not foundapplication/json: BaseResponseDto
409Object is not in the correct stateapplication/json: BaseResponseDto

PUT /api/events/valid/{id}

Sets an event as valid.

Operation ID: validEvent

Locates an existing event and sets validity to true. This only makes sense for events that are not valid. This event will be retried. Requires the ADMIN role.

Security: bearerAuth

Parameters

NameInRequiredTypeDescription
idpathtruestringEvent identifier to be set valid minLength: 1

Responses

StatusDescriptionBody
200Successful operationapplication/json: EventResponseDto
400Invalid parametersapplication/json: BaseResponseDto
401Authentication requiredapplication/json: BaseResponseDto
403Not authorizedapplication/json: BaseResponseDto
404Resource not foundapplication/json: BaseResponseDto
409Object is not in the correct stateapplication/json: BaseResponseDto
Golden 3.0.0 · Published 2026-10-04